clang 10.0.0git

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
clang::driver::PrecompileJobAction Class Reference

`#include "clang/Driver/Action.h"`

Inheritance diagram for clang::driver::PrecompileJobAction:
[legend]
Collaboration diagram for clang::driver::PrecompileJobAction:
[legend]

## Public Member Functions
| PrecompileJobAction (Action *Input, types::ID OutputType)
Public Member Functions inherited from clang::driver::Action
virtual | ~Action ()
const char * | getClassName () const
ActionClass | getKind () const
types::ID | getType () const
ActionList & | getInputs ()
const ActionList & | getInputs () const
size_type | size () const
input_iterator | input_begin ()
input_iterator | input_end ()
input_range | inputs ()
input_const_iterator | input_begin () const
input_const_iterator | input_end () const
input_const_range | inputs () const
void | setCannotBeCollapsedWithNextDependentAction ()
| Mark this action as not legal to collapse. More...
bool | isCollapsingWithNextDependentActionLegal () const
| Return true if this function can be collapsed with others. More...
std::string | getOffloadingKindPrefix () const
| Return a string containing the offload kind of the action. More...
void | propagateDeviceOffloadInfo (OffloadKind OKind, const char *OArch)
| Set the device offload info of this action and propagate it to its dependences. More...
void | propagateHostOffloadInfo (unsigned OKinds, const char *OArch)
| Append the host offload info of this action and propagate it to its dependences. More...
void | propagateOffloadInfo (const Action *A)
| Set the offload info of this action to be the same as the provided action, and propagate it to its dependences. More...
unsigned | getOffloadingHostActiveKinds () const
OffloadKind | getOffloadingDeviceKind () const
const char * | getOffloadingArch () const
bool | isHostOffloading (OffloadKind OKind) const
| Check if this action have any offload kinds. More...
bool | isDeviceOffloading (OffloadKind OKind) const
bool | isOffloading (OffloadKind OKind) const

## Static Public Member Functions
static bool | classof (const Action *A)
Static Public Member Functions inherited from clang::driver::JobAction
static bool | classof (const Action *A)
Static Public Member Functions inherited from clang::driver::Action
static const char * | getClassName (ActionClass AC)
static std::string | GetOffloadingFileNamePrefix (OffloadKind Kind, StringRef NormalizedTriple, bool CreatePrefixForHost=false)
| Return a string that can be used as prefix in order to generate unique files for each offloading kind. More...
static StringRef | GetOffloadKindName (OffloadKind Kind)
| Return a string containing a offload kind name. More...

## Protected Member Functions
| PrecompileJobAction (ActionClass Kind, Action *Input, types::ID OutputType)
Protected Member Functions inherited from clang::driver::JobAction
| JobAction (ActionClass Kind, Action *Input, types::ID Type)
| JobAction (ActionClass Kind, const ActionList &Inputs, types::ID Type)
Protected Member Functions inherited from clang::driver::Action
| Action (ActionClass Kind, types::ID Type)
| Action (ActionClass Kind, Action *Input, types::ID Type)
| Action (ActionClass Kind, Action *Input)
| Action (ActionClass Kind, const ActionList &Inputs, types::ID Type)

## Additional Inherited Members
Public Types inherited from clang::driver::Action
enum | ActionClass { InputClass = 0, BindArchClass, OffloadClass, PreprocessJobClass, PrecompileJobClass, HeaderModulePrecompileJobClass, AnalyzeJobClass, MigrateJobClass, CompileJobClass, BackendJobClass, AssembleJobClass, LinkJobClass, IfsMergeJobClass, LipoJobClass, DsymutilJobClass, VerifyDebugInfoJobClass, VerifyPCHJobClass, OffloadBundlingJobClass, OffloadUnbundlingJobClass, OffloadWrapperJobClass, JobClassFirst = PreprocessJobClass, JobClassLast = OffloadWrapperJobClass }
enum | OffloadKind { OFK_None = 0x00, OFK_Host = 0x01, OFK_Cuda = 0x02, OFK_OpenMP = 0x04, OFK_HIP = 0x08 }
using | size_type = ActionList::size_type
using | input_iterator = ActionList::iterator
using | input_const_iterator = ActionList::const_iterator
using | input_range = llvm::iterator_range< input_iterator >
using | input_const_range = llvm::iterator_range< input_const_iterator >
Protected Attributes inherited from clang::driver::Action
unsigned | ActiveOffloadKindMask = 0u
| Offload information. More...
OffloadKind | OffloadingDeviceKind = OFK_None
| Offloading kind of the device. More...
const char * | OffloadingArch = nullptr
| The Offloading architecture associated with this action. More...

## Detailed Description

Definition at line 400 of file Action.h.

## Constructor & Destructor Documentation

## ◆ PrecompileJobAction() [1/2]

PrecompileJobAction::PrecompileJobAction | ( | ActionClass | Kind,
|  | Action * | Input,
|  | types::ID | OutputType
| ) |  |
| protected

Definition at line 325 of file Action.cpp.

## ◆ PrecompileJobAction() [2/2]

PrecompileJobAction::PrecompileJobAction | ( | Action * | Input,
|  | types::ID | OutputType
| ) |  |

Definition at line 322 of file Action.cpp.

## Member Function Documentation

## ◆ classof()

static bool clang::driver::PrecompileJobAction::classof | ( | const Action * | A | ) |
| inline static

Definition at line 409 of file Action.h.

References clang::driver::Action::getKind().

The documentation for this class was generated from the following files:

- include/clang/Driver/Action.h
- lib/Driver/Action.cpp